<template>
  <div class="fa-card-a" shadow="never">
    <div class="mod-sys__major">
      <zt-table-wraper ref="tableObj" v-slot="{ table }" :page-size="10" :paging="true" delete-url=""
                       query-url="/sys/major/page">
            <el-form :inline="true" class="wt__content" :model="dataForm" @keyup.enter.native="table.query()">
              <zt-form-item id="el-form-item22" class="yd-form">
                <el-button class="form-title" type="text">工程专业列表</el-button>
              </zt-form-item>
                <!--          <el-form-item  style="width: 180px;">-->
                <!--            <el-select clearable v-model="dataForm.id"  value-key="value"-->
                <!--                       placeholder="工程专业" style="width: 100%">-->
                <!--              <el-option v-for="item in majorSelectList" :key="item.id" :label="item.name" :value="item.id"-->
                <!--                         :class="{refuseProject:item.refuse=='1'}"></el-option>-->
                <!--            </el-select>-->
                <!--          </el-form-item>-->
                <zt-form-item>
                  <zt-button type="add" @click="edit(null,1)"/>
                </zt-form-item>

            </el-form>
            <el-table ref="table" v-adaptive="{bottomOffset:70}"
                      v-loading="table.dataLoading"
                      :data="table.dataList" border
                      height="100px"
                      highlight-current-row
                      row-key="id"
                      default-expand-all
                      style='margin-top:10px;' @selection-change="table.selectionChangeHandle">
              <!--          <el-table-column type="selection" width="40"/>-->
              <el-table-column align="center" label="序号" prop="sort" width="60"/>
              <el-table-column label="型号" prop="modelName">
          </el-table-column>
          <el-table-column label="专业名称" prop="name">
          </el-table-column>
              <el-table-column label="描述" prop="comment">
              </el-table-column>
              <el-table-column align="center" label="操作" width="200">
                <template v-slot="{ row }">
                  <zt-table-button @click="edit(row,2)">修改</zt-table-button>
                  <zt-table-button @click="deleteMajorList(row)">删除</zt-table-button>
                </template>
              </el-table-column>
            </el-table>
        <!-- 弹窗, 新增 / 修改 -->
        <add-or-update ref="AddOrUpdate" @refreshDataList="table.query"/>
      </zt-table-wraper>
    </div>
  </div>
</template>

<script>
import AddOrUpdate from './major-add-or-update'

export default {
  data() {
    return {
      dataForm: {
        id: '',
        userKey: ''
      },
      majorSelectList: [],
    }
  },
  components: {
    AddOrUpdate
  },
  computed: {
    // menus() {
    //   return this.$refs.tableObj.dataList
    // }
  },
  mounted() {
    this.getMajorList()
  },


  methods: {
    async getMajorList() {
      let res = await this.$http.get(`/sys/major/page`)
      this.majorSelectList = res.data.list
      console.log(res.data, '这是工程专业')
    },
    edit(row, opt) {
      this.$refs.AddOrUpdate.$refs['dialog'].init(row, opt)
    },
    async deleteMajorList(row) {
      let dataIds = []
      console.log(row)
      if (!row) {
        if (this.$refs.tableObj.dataSelectedList.length <= 0) {
          return this.$tip.alert(this.$t('prompt.deleteBatch'))
        }
        for (let val of this.$refs.tableObj.dataSelectedList) {
          dataIds.push(val.id)
        }
      } else {
        dataIds.push(row.id)
      }
      // alert(dataIds)
      if (await this.$tip.confirm('确定这些项目进行[删除]操作?')) {
        let res = await this.$http.delete
        (
          '/sys/major/',
          {'data': dataIds}
        )
        if (res.success) {
          await this.$tip.success()
          this.$refs.tableObj.query()
        }
      }

    }
  },
}
</script>
